package cz.muni.fi.pv168.project.data.task;

import java.util.Locale;

public enum TaskStatus {
    ALL,
    PLANNED,
    IN_PROGRESS,
    FINISHED;

    @Override
    public String toString() {
        String value = this.name().replace("_", " ");
        //TODO: solve hardcoded locale of root
        return value.charAt(0) + value.substring(1).toLowerCase(Locale.ROOT);
    }

    public String upperCaseString() {
        return this.name();
    }
}
