package cz.muni.fi.pv168.project.db.interfaces;

import java.util.List;

public interface MtoNDao {

    List<Long> getAllIdsFor(Long sourceTaskId);

    default void deleteAllAssociationsFor(Long sourceTaskId) {
        var ids = getAllIdsFor(sourceTaskId);
        for (var id : ids) {
            deleteAssociationFor(sourceTaskId, id);
        }
    }

    void addAssociationFor(Long sourceTaskId, Long targetId);

    void deleteAssociationFor(Long sourceTaskId, Long targetId);
}
